backup_hsmkeys_cmd.c File Reference
`#include <getopt.h>`
`#include "config.h"`
`#include "cmdhandler.h"`
`#include "daemon/enforcercommands.h"`
`#include "daemon/engine.h"`
`#include "file.h"`
`#include "log.h"`
`#include "str.h"`
`#include "duration.h"`
`#include "clientpipe.h"`
`#include "longgetopt.h"`
`#include "libhsm.h"`
`#include "db/hsm_key.h"`
`#include "db/hsm_key_ext.h"`
`#include "hsmkey/backup_hsmkeys_cmd.h"`

Go to the source code of this file.

## Enumerations

enum | { PREPARE , COMMIT , ROLLBACK , LIST }

## Variables

struct cmd_func_block | backup_funcblock

## Enumeration Type Documentation

## anonymous enum

anonymous enum

Enumerator
PREPARE |
COMMIT |
ROLLBACK |
LIST |

Definition at line 50 of file backup_hsmkeys_cmd.c.

## Variable Documentation

## backup_funcblock

struct cmd_func_block backup_funcblock

Initial value:
= {
"backup", &usage, &help, &handles, NULL, &run, NULL
}

Definition at line 247 of file backup_hsmkeys_cmd.c.